Subject: bug#79408: 31.0.50; VC commands for cherry-picking

From: Sean Whitton <[email-masked]>
Date: Sat, 13 Sep 2025 12:46:04 +0100

Hello,

On Fri 12 Sep 2025 at 07:03pm +03, Juri Linkov wrote:

>>> Then maybe 'vc-pop-revision' like from the top of the stack.
>>
>> I like this name a lot.  On the other hand, I think 'strip' is a bit
>> more informative than 'pop', because 'pop' implies you get the revision
>> back in your hand in some way, instead of just discarding it.
>
> Another possible variant: 'rollback' - that name is also used elsewhere
> to revert git-based deployed releases.

I had a thought about this just now.  Maybe "pop" for stripping commits
without stripping their changes, 'git reset --soft', and "strip" for
stripping commits and their changes, 'git reset --hard'.

-- 
Sean Whitton